kind: Deployment
apiVersion: apps/v1
metadata:
  name: nacos-deployment
  namespace: default
  uid: f420c3ac-7768-467d-aebd-5298dab5710d
  resourceVersion: '6219'
  generation: 2
  creationTimestamp: '2025-01-05T06:10:17Z'
  labels:
    appgroup: ''
    version: v1
  annotations:
    deployment.kubernetes.io/revision: '2'
    description: nacos-deployment
    workload.cce.io/swr-version: '[{"version":"Private Edition"}]'
  managedFields:
    - manager: cfe-apiserver
      operation: Update
      apiVersion: apps/v1
      time: '2025-01-05T06:13:59Z'
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:description: {}
            f:workload.cce.io/swr-version: {}
          f:labels:
            .: {}
            f:appgroup: {}
            f:version: {}
        f:spec:
          f:progressDeadlineSeconds: {}
          f:replicas: {}
          f:revisionHistoryLimit: {}
          f:selector: {}
          f:strategy:
            f:rollingUpdate:
              .: {}
              f:maxSurge: {}
              f:maxUnavailable: {}
            f:type: {}
          f:template:
            f:metadata:
              f:labels:
                .: {}
                f:app: {}
                f:version: {}
            f:spec:
              f:containers:
                k:{"name":"nacos-deployment-container-1"}:
                  .: {}
                  f:env:
                    .: {}
                    k:{"name":"MODE"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"PAAS_APP_NAME"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"PAAS_NAMESPACE"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"PAAS_PROJECT_ID"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                  f:image: {}
                  f:imagePullPolicy: {}
                  f:name: {}
                  f:resources:
                    .: {}
                    f:limits:
                      .: {}
                      f:cpu: {}
                      f:memory: {}
                    f:requests:
                      .: {}
                      f:cpu: {}
                      f:memory: {}
                  f:terminationMessagePath: {}
                  f:terminationMessagePolicy: {}
              f:dnsPolicy: {}
              f:imagePullSecrets:
                .: {}
                k:{"name":"default-secret"}: {}
              f:restartPolicy: {}
              f:schedulerName: {}
              f:securityContext: {}
              f:terminationGracePeriodSeconds: {}
              f:tolerations: {}
    - manager: kube-controller-manager
      operation: Update
      apiVersion: apps/v1
      time: '2025-01-05T06:14:01Z'
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:deployment.kubernetes.io/revision: {}
        f:status:
          f:availableReplicas: {}
          f:conditions:
            .: {}
            k:{"type":"Available"}:
              .: {}
              f:lastTransitionTime: {}
              f:lastUpdateTime: {}
              f:message: {}
              f:reason: {}
              f:status: {}
              f:type: {}
            k:{"type":"Progressing"}:
              .: {}
              f:lastTransitionTime: {}
              f:lastUpdateTime: {}
              f:message: {}
              f:reason: {}
              f:status: {}
              f:type: {}
          f:observedGeneration: {}
          f:readyReplicas: {}
          f:replicas: {}
          f:updatedReplicas: {}
      subresource: status
spec:
  replicas: 1
  selector:
    matchLabels:
      app: nacos-deployment
      version: v1
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: nacos-deployment
        version: v1
    spec:
      containers:
        - name: nacos-deployment-container-1
          image: swr.cn-north-1.myhuaweicloud.com/bcx/nacos-server:latest
          env:
            - name: PAAS_APP_NAME
              value: nacos-deployment
            - name: PAAS_NAMESPACE
              value: default
            - name: PAAS_PROJECT_ID
              value: 1b7d1fb374754a5fbed023e0ddfe769c
            - name: MODE
              value: standalone
          resources:
            limits:
              cpu: 600m
              memory: 1Gi
            requests:
              cpu: 600m
              memory: 1Gi
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
      securityContext: {}
      imagePullSecrets:
        - name: default-secret
      schedulerName: default-scheduler
      tolerations:
        - key: node.kubernetes.io/not-ready
          operator: Exists
          effect: NoExecute
          tolerationSeconds: 300
        - key: node.kubernetes.io/unreachable
          operator: Exists
          effect: NoExecute
          tolerationSeconds: 300
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600
status:
  observedGeneration: 2
  replicas: 1
  updatedReplicas: 1
  readyReplicas: 1
  availableReplicas: 1
  conditions:
    - type: Available
      status: 'True'
      lastUpdateTime: '2025-01-05T06:14:00Z'
      lastTransitionTime: '2025-01-05T06:14:00Z'
      reason: MinimumReplicasAvailable
      message: Deployment has minimum availability.
    - type: Progressing
      status: 'True'
      lastUpdateTime: '2025-01-05T06:14:01Z'
      lastTransitionTime: '2025-01-05T06:10:17Z'
      reason: NewReplicaSetAvailable
      message: ReplicaSet "nacos-deployment-6694d6f776" has successfully progressed.
